Bug 105630 - Resolution change screen wacks out
Resolution change screen wacks out
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-09-26 01:30 EDT by Dax Kelson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-01 02:22:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Screenshot of wacked out display (612.09 KB, image/png)
2003-09-26 01:31 EDT, Dax Kelson
no flags Details

  None (edit)
Description Dax Kelson 2003-09-26 01:30:09 EDT
Description of problem:

I have a lapotp with a 1400x1050 LCD. When I logged into severn test 2 for the
first time my resolution was set to 1024x768 (even though I selected 1400x1050
during install, see bug 105628).

In GNOME I ran the Screen Resolution Preference tool and selected 1400x1050. My
resolution changed, but my screen was wacked out.

See attached screenshot.

I have a Dell Inspiron 4150 with a ATI Radeon Mobility 7500.

I edited my /etc/X11/XF86Config and added 1400x1050 (I had to do it by hand as
redhat-config-xfree86 didn't see to want to make the changes stick, another bug
to filed soon) and bounced to runlevel 3 and back to 5. Resolution changing
seems fine now.
Comment 1 Dax Kelson 2003-09-26 01:31:23 EDT
Created attachment 94753 [details]
Screenshot of wacked out display
Comment 2 Mike A. Harris 2003-09-26 01:38:56 EDT
You've mentioned multiple problems here, however of course each should
be in it's own separate bug report so I'll handle only the one problem
reported in Summary...

The screenshot you attach shows that this is likely either an RandR related
driver bug, or a generic RandR bug.  RandR is experimental only, however
it'd be nice to track the cause of the problem down, and investigate.

Can you attach your X server log file and config file please?
Comment 3 Mike A. Harris 2004-10-01 02:22:23 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.